%patchfile 0x17828 blocks.tli

#Change the switch used for lightswitch
%patch $6518 $EF $00

# The title bitmap will be shown at offset 0,0 
%patch $9233   $07 $00     # Y location, in pixels 
%patch $9237   $04 $00     # (X location in pixels) / 8 + 4

# All these should have the same value -- this is the usual border color 
%patch $319C   $00 
%patch $77C6   $00 
%patch $19BF8  $10 
%patch $19C09  $04 
%patch $19C1A  $14 
%patch $19C2B  $16

# The two colors that the border flashes when Keen destroys a Tantalus ray 
%patch $77E1 $02 
%patch $77E9 $12 

#Pogo doesn't fly with godmode 
%patch $6D94 $90 

#Exit tiles don't change.
%patch $6F78 $90

#Shots keen starts with
%patch $8AA2  $0A $00 

# Change the levels where the Elders appear
%patch $4AC9 $0E
%patch $4ACE $07

#Alter high score text
%patch 0x01A643 " Bombed: "
%patch 0x01A65A "towers!"
%patch 0x01A663 "tower"
%patch 0x01A64E "nothing!  "

#Tile required 3 tiles right and 5 tiles down from switch in order to make it an
#'end the world' switch
%patch $6443 $25 $00
#Number of tiles below switch tile needs to be
%patch $6429 $01 $00
#Number of tiles right of switch tile needs to be
%patch $6437 $00

#Points the machine gives Keen when destroyed
%patch $477C $00 $02
#Severity of shakes when switch is flicked [in tiles]
#Left-right
%patch $646D $60 $00
#Up-down
%patch $6490 $60 $00
#Level used for earth exploding [$51 = 81 = level81]
%patch $4BBc $52 $00

#Tiles that replace Earth when it blows up
%patch $4D2E $79 $01
#Small fragments surround earth blank space in a ring after explosion
%patch $4D44 $01
#Large fragments fall invards, the earth blows up and fragments move out
%patch $4FB3 $90

#Start patches
#Apogee rising sign sprite
%patch $9BB5 $08 $00
#'Apogee rising horizontalposition
%patch $9BBD $00 $00
#Appearing Apogee bitmap
%patch $9BE1 $08 $00
#Appearing Apogee horizontal position
%patch $9BE9 $00 $00
#'An' bitmap
%patch $9BCC $08 $00
#'An' horizontal position
%patch $9BD7 $00 $00
#'Id software bitmap
%patch $9C1A $08 $00
#ditto vertical position
%patch $9C1E $00 $00
#'Production bitmap
%patch $9C2C $08 $00
#ditto vertical position
%patch $9C30 $00 $00
#'Of an' bitmap
%patch $9C08 $0F $00
#'Of an' vertical position
%patch $9C0C $28 $00
#'of an horizontal position
%patch $9C10 $0D $00

############
#Sound switching patches
###########
#Keen jump
%patch $12790 $D2 $14 $FA
#Keen pogo
%patch $12800 $D2 $14 $FA
#Keen gets an item
%patch $127D0 $A2 $12 $FA
#Keen get points
%patch $127C0 $58 $0A $A0
#Keen pogo high
%patch $12810 $D2 $14 $FA
#Keen 'plummets'
%patch $128E0 $3C $13 $96
#get a keycard
%patch $12930 $5A $13 $FA
#Door opens
%patch $12940 $64 $15 $FF
#Extra Keen
%patch $128F0 $6A $22 $FF
#Keen shoots
%patch $127F0 $52 $1E $C8
#Robot shoots
%patch $12990 $E0 $09 $C8


#Background tiles patch
%patch $724B              $26 $8B $07 $B6 $0D 
%patch $7250  $F6 $FE $F6 $EE $26 $89 $07 $E9 
%patch $7258  $14 $01 

%patch $72A2  $EB $97 
%patch $7327  $E9 $11 $FF 

%patch $572E                          $26 $8B 
%patch $5730  $07 $B6 $0D $F6 $FE $F6 $EE $26 
%patch $5738  $89 $07 $03 $1E $E4 $6B $03 $1E 
%patch $5740  $E4 $6B $26 $89 $07 $90 $90 $90 
%patch $5748  $90 $90 


#Disable going-through-walls-on-world-map-using-god-cheat.
%patch $A0A1 $EB 

#change robot height but not elite height.
%patch $462F  $00 $08 
%patch $4632  $00 $00 

# Make Keen get an extra life every 256 points 
%patch $0D78  $00 $01 
%patch $0D88  $00 $01 
%patch $0D9C  $00 $01 
%patch $0F5E  $00 $01 

#CTSpace
%patch 0x0198C6 "I'm disapointed in   "
%patch 0x0198DD "you. This games not "
%patch 0x0198F3 "that hard, but you    "
%patch 0x01990B "still cheated.  "

#God mode
%patch 0x0199E4 "Cheating Wuss!  "
%patch 0x0199F5 "You still cheated"

#Statusbox
%patch 0x01991C "    SCORE     EXTRA LIFE AT "
%patch 0x01993D "                      SHOTS "
%patch 0x019964 "   EATERIES SAVED     KEYS  "
%patch 0x01998E "     NOW GO PLAY KEEN!      "
%patch 0x0199AB "KORATH"
%patch 0x0199B2 "KEENS"
%patch 0x0199B8 "PYRAM "
%patch 0x0199BF "HALS KIT"
%patch 0x0199C8 "NORPS"
%patch 0x0199CE "JOES"
%patch 0x0199D3 "SPARKX"
%patch 0x0199DA "XKY TOWER"
#Make Lives vertical position in 2 pixel increments
%patch $0F98 $90
%patch $0F95 $1C $00 #vertical location
%patch $0FA5 $01     #Show only 1 life unless Keen doesn't have it

#Change item's scores
%patch $19FC4 $01 $00
%patch $19FC6 $04 $00
%patch $19FC2 $10 $00
%patch $19FC8 $40 $00
%patch $19FCA $00 $01

#Menu Screen-ln178
%patch 0x01A6C9 "Restore Game "
%patch 0x01A6EB "Us"
%patch 0x01A6F5 "The Keenest"
%patch 0x01A705 "Get more Keen"
%patch 0x01A717 "More info"
%patch 0x01A725 "Title Screen"

#Loading-ln109
%patch 0x019A0B "Loading Patchwork Mod Mk II...  "

#God Cheat Code- xky
%patch 0x011C7 0x5035
%patch 0x011CE 0x502D
%patch 0x011D5 0x501D

#CTSpace Cheat Code- dur
%patch 0x011AF 0x5028
%patch 0x011B6 0x501E
%patch 0x011BD 0x501B


#Messages-ln130

#Hint Level 8
%patch 0x019FCC "%& Your race calls us "
%patch 0x019FE4 "[] delicious and      "
%patch 0x019FFC "nutritous while our   "
%patch 0x01A014 "numbers plummet! We   "
%patch 0x01A02C "will save our scaly   "
%patch 0x01A044 "brothers by bombing   "
%patch 0x01A05C "the most horrific     "
%patch 0x01A074 "slaughterhouses!      "

#other hint
%patch 0x01A08C "Seeing Keen Norp yells"
%patch 0x01A0A4 "'Keen! I was trapped  "
%patch 0x01A0BC "here by Mort! He's"
%patch 0x01A0D4 "the one in charge!    "
%patch 0x01A0EC "This planet is just in"
%patch 0x01A104 "front of the moon, and"
%patch 0x01A11C "its a diversion! Mort "
%patch 0x01A134 "is really planning    "
%patch 0x01A14C "something else! I'll  "
%patch 0x01A164 "escape out the back   "
%patch 0x01A17C "door- you get Mort!'  "


#Storytxt-ln59                                                                
%patch 0x016ACD "COMMANDER KEEN"
%patch 0x016AFB "    PATCHWORK MOD MK II    "
%patch 0x016B1C "Billy Blaze, 8 year old boy genius working diligently in his backyard clubhouse has constructed an intergalactic spaceship from common household junk (And all without a huge secret laboratory or evil lair, Dexter!)"
%patch 0x016BF2 " Now, when Mom and Dad are off partying and the babysitters drunkenly passed out, he dons his brother's football helmet and becomes:     "
%patch 0x016C7F "COMMANDER KEEN-Interplanetary Hero!"
%patch 0x016CA7 "In his new ship (His pet Yorp having lost the old one) Keen fights evil wherever it lurks!      "
%patch 0x016D0D "After realising that the Moon had mysteriously transformed into cheese, Keen lands on it in order to determine just what is going on.                 KeenRush is involved with this     somehow, I just know it!          "

%patch 0x016DF4 "Patchwork Mod Mk II            "
%patch 0x016DF4 "Commander Keen investigates...."
%patch 0x016E17 " Hmmm, a large sign in the standard  galactic alphabet! It says:                                            Thankyou for helping us turn Earth   into cheese, Mortimer McMire.                       "
%patch 0x016F0B "                      -Id Software Executives.                                                     This is obviously a plan by my arch  nemesis Mortimer to turn the world into cheese with 8 cheddar towers "
%patch 0x017004 " of doom! Wait, that tower's pointed at my HOUSE!                                                                                                           KEEN?                                                                                     "
%patch 0x017100 "                   Uh, yes?                                                                                                      DIIIE!                                                  "
%patch 0x0171D1 "                                     Yikes! Run away!                                                        And so Keen fled off to start another perilous mission."

%patch 0x01727E "INFORMATION ON THE CHESE PLANET"
%patch 0x0172A1 "Keen is on a mysterious cheese planet. He's already met the hulking guards, indestructible behemouths. Also hiding in the shadows are Lilth, (green, two headed, nasty) Welt (fast moving, shoot lots) Nmad leap out to paralyse you, hidi"
%patch 0x01738B "nig in pipe and holes in the walls. Spring fish scuttle along the walls, doing whatever it is fish do. There are airboards, doors, and of course, the eight cheddar towers of doom. There are many other hazards besides, and large computer s"
%patch 0x017479 "creens displaying messages in the standard galactic alphabet. Keen will face all these and more...  "
%patch 0x0174E4 "And so Keen ventures forth."
%patch 0x017505 " Whew! That was close! I'm getting  outta here!  "
%patch 0x01756B "And don't miss the third episode in the Pathchwork series, in it Keen will seek out and destroy a horrible weapon of destruction, the PCKF! What is it? Where's it? What does it do? When can we have lunch? No one knows! Stay tuned and sen"
%patch 0x017658 "d in your artwork to us so we can complete the mod for you to play. It promises to be full of wonderful graphics and levels like the ones you're enjoying now!"
%patch 0x0176FD " BluGuard say:        "
%patch 0x017718 " YOU PLAY SHINY GAME KEEN OR DIIE!"
%patch 0x017742 "       "


#**********
#FINALE
#**********

#First window, etc, etc
%patch 0x01A1A1 "Having destroyed the 8 towers  "
%patch 0x01A1C2 "threatening the universe, only"
%patch 0x01A1E2 "one thing is worrying Keen. "
%patch 0x01A200 " 'Why did Mort leave a 10  "
%patch 0x01A21F " foot sign telling me  "
%patch 0x01A23A "   what he was doing?'  "

%patch 0x01A253 "The Chese planet floats off "
%patch 0x01A271 "into deep space, the Springfish"
%patch 0x01A292 "defeated. But wait something"
%patch 0x01A2B0 "ELSE is lurking above     "
%patch 0x01A2CC "Earth! What could it be???    "

# First dialogue box at home
%patch 0x01A2F7 " A message on the"
%patch 0x01A30C " radio! Who'd be"
%patch 0x01A320 " signalling now?  "

%patch 0x01A333 "Wonderful, Mother.  That"
%patch 0x01A333 " Like my diversion??! "
%patch 0x01A34D "will give me time to rid"
%patch 0x01A34D " You'll be happy to   "
%patch 0x01A367 "the Galaxy of the"
%patch 0x01A367 "know the PCKF now"
%patch 0x01A37A "Vorticon menace and"
%patch 0x01A37A "above Earth will   "
%patch 0x01A38F "discover the secret of"
%patch 0x01A38F "destroy it in less    "
%patch 0x01A3A7 "the mysterious Grand"
%patch 0x01A3A7 "than 3 hours. Bwaha-"
%patch 0x01A3BD "Intellect!"
%patch 0x01A3BD "-hahaha!!!"

%patch 0x01A3C9 "OK, hon, but you'd"
%patch 0x01A3C9 " Oh yeah? Well  "
%patch 0x01A3DD "better have a nourishing"
%patch 0x01A3DD " we'll see about that!"
%patch 0x01A3F7 "vitamin fortified bowl"
%patch 0x01A3F7 "   I'll defeat you in "
%patch 0x01A40F "of Sugar Stoopies first."
%patch 0x01A40F "   time for breakfast!  "

%patch 0x01A429 "OK, Mom..."
%patch 0x01A429 " Maybe.."

%patchfile 0x015840 FINTXT.CK2


#Helptxt-ln21
%patch 0x015C56 "You can move Commander Keen using the keyboard or Joystick. When you first start keen you will be in keyboard mode. Since no one these days has a joystick, we can safely assume you want to know the keyboard commands.   "
%patch 0x015D2B "ds to move Keen. These are the arrows (Obviously) and also Alt to start/stop pogo; Ctrl to jump and Ctrl AND Alt to fire your pistol. (If you have any ammo of course!)"
%patch 0x015FCC "When you are on the map, you may be blocked by a level. In this case press Ctrl of Alt to enter and complete the level, then you can pass. Keen will need to finnish eight special levels to finnish the game.In a level, pick up items "
%patch 0x0160B3 "by running into them. If you come across a door, you'll need an orb whoose colour matches the door color to pass. Keen may come across areas where he'll need to activate a bridge or block  by using a switch. Press Alt to flick a swi"
%patch 0x01619A "tch. Many puzzles can be solved this way. ;)"
%patch 0x0161E5 "There are a variety of items to be  found on lying around, including orbs to open doors, rayguns and snacks and such that Keen can collect for points. Not all points in a level are obtainable, nor can Keen acess all of a lev"
%patch 0x0162C4 "el, in some areas you must choose a path. Collect 256 points and gain an extra life!  "
%patch 0x016324 "Commander Keen says: I am tired of   provding cheesy soundbites for mods! Get a life and some better quotations!       "


#About ID...
%patch 0x01A754 "We are a group of Keen fans whose "
%patch 0x01A77C "goal is to oversee the production"
%patch 0x01A7A4 "of Commander Keen 7,  'The    "
%patch 0x01A7CC "Universe is Toast!' "
%patch 0x01A7F4 "Our effort is only possible with"
%patch 0x01A81C "your support. We hope you enjoy    "
%patch 0x01A844 "this mod and that you may "
%patch 0x01A86C "also support Keen.     "
%patch 0x01A894 "Feel free to visit the Keen  "
%patch 0x01A8BC "community and give us your       "
%patch 0x01A8E4 "support -or money.       "


#Ordering Info
%patch 0x01AADD "The Patchwork Mod seies will   "
%patch 0x01AB01 "  consist of three unique         "
%patch 0x01AB29 "and challenging episodes.   "
%patch 0x01AB48 "All 3 will be obtainable from the  "
%patch 0x01AB6D "PCKF forums, as well as from  many "
%patch 0x01AB92 "other Keen community websites,     "
%patch 0x01ABB7 "along with many other great Keen "
%patch 0x01ABDA "mods and utilities!        "
%patch 0x01AC02 "Look us up on  "
%patch 0x01AC1D "Google and     "
%patch 0x01AC38 "start making   "
%patch 0x01AC53 "your own stuff!  "
%patch 0x01AC69 "And bug Id Software, they       "
%patch 0x01AC8E "abandoned Keen after he made "
%patch 0x01ACAD "them famous! Now all they do is work"
%patch 0x01ACD4 "on DOOM and Quake!                "


#Previews-ln42
%patch 0x0163C6 "The Patchwork Mod series consists of three unique episodes. Why not play them all?      "
%patch 0x016422 "The first episode in the Patchwork series is, oddly enough, called The Patchwork Mod. In it Keen travels to a distant planet in order to get some needed"
%patch 0x0164BA " vacation time. His vacation is however ruined by hostile aliens! Now Keen must destroy their military reactors by stealing thier control chips. Follo"
%patch 0x016550 "w Keen's adventures as he saves the Molvian race!   "
%patch 0x016588 "The third episode is as yet unamed, and indeed unmade. It awaits contributions from the Keen community and others, so if you think you can add somethi"
%patch 0x01661E "ng, send it in to Six_different_people at hotmail.com As yet only one detail is avalible to us, Keen must destroy the terrible weapon that is the PCKF, something that is shrouded in mystery!  "
%patch 0x0166E8 "  Secret hints and tips!    "
%patch 0x016708 "Ah! So you are reading everything! Good. As a reward here are some hints and cheats for beating the game!                                            Firstly God mode and items. God mode is X+K+Y and all items is D+U+R Press these keys simultaneously"
%patch 0x016802 " in the game to activate the cheats."
%patch 0x016829 " If you ever get lost follow the arrows.                                                                    In level one the big sign at the start says exactly what the sign in the story says, use it to decode the standard galactic alphabet. Later"
%patch 0x016922 " signs will give you hints/tips. "
%patch 0x016947 "You only need to complete the 8 tower shaped levels to finnish the game.                                            Secret shortcuts and bonuses are known by the mice, if you spot a purple mouse, a hidden passage isn't far. (Norp is trapped in one.) "
%patch 0x016A50 "Keen says: "
%patch 0x016A69 "Hurry up and play MY  "
%patch 0x016A8E "game! "
